# Page Layouts

## Introduction

This module creates a system that uses reusable layouts that users can add content to pages with. You can stack them on top of each other and reorder using drag and drop.

Layouts are defined as plugins and listed like blocks but by page. Developers can create modules defining Layouts like they do with Fields. An example might be a code component.

The module will come with a list of predefined layouts including:

    Full Width Title Text
    Full Width Text
    Full Width Image
    Text left Text Right
    Image left Image Right
    Image left Text Right
    Text left Image Right

## Installation

Install with composer

Enable module

Go to Content->Layouts to add edit and delete layouts

Page Layouts are fieldable so you can create taxonomies to filter views with.
Go to Structure->Layouts to add remove fields and configure layouts

You need to create a view that uses the views display plugin to display layouts.
Go to Structure-views create either a page or block. Under Format select Page Layout.
Select fields to filter by.

## Maintainers

### Current maintainers

- [Trigve Hagen](https://www.drupal.org/u/trigve-hagen)
